Settings for the status icon plugin won't display / mimize to tray not possible with KDE Plasma 5.3.1

June 09, 2015 22:18 - S P
Target version:    

Affects version: 3.6.2   

Description

The settings menu for the status-icon plugin does not pop up if its clicked in the menu. The status icon in the tray is present though

and works properly. But audacious cannot be minimzed to the tray.

When starting Audacious via the command line this message is spit out:

WARNING plugin-init.cc:147 [start_multi]: Status-Icon failed to start.

Version 3.6.2 running Kubuntu 15.04 with KDE Plasma 5.3.1

History

#1 - June 10, 2015 00:28 - John Lindgren

Are you using the Qt interface?  The status icon only works with the GTK and Winamp interfaces.

#2 - June 10, 2015 22:33 - S P

John Lindgren wrote:

Are you using the Qt interface?  The status icon only works with the GTK and Winamp interfaces.

 

Yes, the Qt interface. And the status icon works fine.

#3 - June 11, 2015 19:43 - John Lindgren

I think you may not be looking at the status icon but only at the Audacious icon in KDE's task switcher.  Please attach a screenshot so we can try to

clear up the confusion.  The status icon will not load at all if you are using the Qt interface (it explicitly checks this on startup).

#4 - June 11, 2015 21:57 - S P

- File Bildschirmfoto2.png added

John Lindgren wrote:

I think you may not be looking at the status icon but only at the Audacious icon in KDE's task switcher.  Please attach a screenshot so we can try

to clear up the confusion.  The status icon will not load at all if you are using the Qt interface (it explicitly checks this on startup).

 

See screenshot.
#5 - June 12, 2015 00:07 - John Lindgren

No status icon there.  No taskbar, even??

#6 - June 12, 2015 01:03 - S P

- File Bildschirmfoto3.png added

John Lindgren wrote:

No status icon there.  No taskbar, even??

 

I have the autohide function on for the taskbar thats why. I thought the popup would be sufficient (belongs to the status icon as I understand it). Well,

here is another with the taskbar shown.

 Bildschirmfoto3.png 

#7 - June 12, 2015 02:16 - John Lindgren

- File status icon.png added

The popup in your screenshot is part of KDE and communicates with Audacious through the MPRIS 2 interface.  It has nothing to do with the status

icon.  This is what the status icon looks like (in XFCE, with the GTK2 interface):

 status icon.png 

#8 - June 12, 2015 02:19 - John Lindgren

- Status changed from New to Rejected

#9 - June 12, 2015 12:41 - S P

John Lindgren wrote:

The popup in your screenshot is part of KDE and communicates with Audacious through the MPRIS 2 interface.  It has nothing to do with the

status icon.  This is what the status icon looks like (in XFCE, with the GTK2 interface):

 status icon.png 

 

Learned something, thanks! Its similar though.
Bildschirmfoto2.png 2.03 MB June 11, 2015 S P

Bildschirmfoto3.png 2.09 MB June 12, 2015 S P

status icon.png 78.2 KB June 12, 2015 John Lindgren
